import request from "@/http/request";

const getAllVehicles = (params) => {
    return request({
        url: '/location/getVehicles',
        method: 'post',
        data: params
    })
}
const getVehiclesByLocation = (params)=> {
    return request({
        url: '/location/getVehiclesByLocation',
        method: 'post',
        data: params
    })
}
const updateVehicleInfo = (params) => {
    return request({
        url: '/location/updateVehicleInfo',
        method: 'post',
        data: params
    })
}


const addVehicleInfo = (params) => {
    return request({
        url: '/location/addVehicleInfo',
        method: 'post',
        data: params
    })
}
const deleteCurrentVehicle = (params) => {
    return request({
        url: '/location/deleteVehicle',
        method: 'post',
        data: params
    })
}

export {
    getAllVehicles,
    updateVehicleInfo,
    deleteCurrentVehicle,
    getVehiclesByLocation,
    addVehicleInfo
}
